package com.yinet.bjtj.service.impl;

import com.yinet.bjtj.domain.FormBjtj;
import com.yinet.bjtj.mapper.FormBjtjMapper;
import com.yinet.bjtj.service.IFormBjtjService;
import com.yinet.common.core.text.Convert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 办件统计Service业务层处理
 *
 * @author yinet
 * @date 2020-04-02
 */
@Service
public class FormBjtjServiceImpl implements IFormBjtjService {
    @Autowired
    private FormBjtjMapper formBjtjMapper;

    /**
     * 查询办件统计
     *
     * @param id 办件统计ID
     * @return 办件统计
     */
    @Override
    public FormBjtj selectFormBjtjById(Long id) {
        return formBjtjMapper.selectFormBjtjById(id);
    }

    /**
     * 查询办件统计列表
     *
     * @param formBjtj 办件统计
     * @return 办件统计
     */
    @Override
    public List<FormBjtj> selectFormBjtjList(FormBjtj formBjtj) {
        return formBjtjMapper.selectFormBjtjList(formBjtj);
    }

    /**
     * 新增办件统计
     *
     * @param formBjtj 办件统计
     * @return 结果
     */
    @Override
    public int insertFormBjtj(FormBjtj formBjtj) {
        return formBjtjMapper.insertFormBjtj(formBjtj);
    }

    /**
     * 修改办件统计
     *
     * @param formBjtj 办件统计
     * @return 结果
     */
    @Override
    public int updateFormBjtj(FormBjtj formBjtj) {
        return formBjtjMapper.updateFormBjtj(formBjtj);
    }

    /**
     * 删除办件统计对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteFormBjtjByIds(String ids) {
        return formBjtjMapper.deleteFormBjtjByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除办件统计信息
     *
     * @param id 办件统计ID
     * @return 结果
     */
    @Override
    public int deleteFormBjtjById(Long id) {
        return formBjtjMapper.deleteFormBjtjById(id);
    }

    /**
     * 查询办件数据（前台）
     *
     * @return
     */
    @Override
    public Map selectTongjiList() {
        return formBjtjMapper.selectTongjiList();
    }
}
